Page MenuHomePhabricator

Open modal with edit link information
Closed, ResolvedPublic13 Story Points

Description

As a Wikidata Bridge tester I want to see the information extracted from the edit link in order to verify it. It should be shown in the first version of the modal.

Desktop


Mobile

For full specs see figma file (layout of the modal content [buttons, ...] is out of scope!)

BDD
GIVEN a Wikidata Bridge enabled infobox
WHEN clicking on an edit link
THEN a modal opens
AND it shows information about edit flow, Item ID and Property ID

Acceptance criteria:

  • clicking an edit link that qualifies for data bridge T224832: Connect template parameter to corresponding Wikidata property opens a modal showing Item ID, Property ID, and edit flow
  • modal (highlights - follow figma for details)
    • has 50% white, blocking background
      • click on blocking background does not close the modal, there is no escape behavior, ...
    • content box is horizontally and vertically centered
    • padding (turquoise) is 20px
    • fixed dimensions (width & height = 500px * 488px)
    • on view ports ≤ 499px width
      • width and height are 100%
    • prevents scrolling (of the article "under" the modal)
    • has a drop shadow same as the termbox modal

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 1 2019, 2:22 PM
Lydia_Pintscher set the point value for this task to 8.
This comment was removed by darthmon_wmde.

clicking the edit link opens a popup with the correct extracted information

I am fixating on the word popup here: engineers will need some guidelines for the popup and the visual elements inside of the popup. Could you please add measurements, color codes etc. or a reference to the reused elements, if that's the case, to the parent task T224833 ?

Thanks!

Pablo-WMDE updated the task description. (Show Details)Jul 3 2019, 8:16 AM
Pablo-WMDE updated the task description. (Show Details)
Pablo-WMDE changed the point value for this task from 8 to 13.Jul 3 2019, 8:44 AM
Charlie_WMDE renamed this task from Open popup with edit link information to Open modal with edit link information.Jul 4 2019, 3:56 PM
Charlie_WMDE updated the task description. (Show Details)
Charlie_WMDE updated the task description. (Show Details)Jul 8 2019, 10:06 AM
Charlie_WMDE updated the task description. (Show Details)Jul 8 2019, 10:08 AM
Michael moved this task from To do to Doing on the Wikidata-Bridge-Sprint-1 board.Jul 12 2019, 1:03 PM
Charlie_WMDE updated the task description. (Show Details)Jul 26 2019, 3:29 PM
Charlie_WMDE added a subscriber: Charlie_WMDE.

Hello, just checked the modal on de.beta.wikipedia. looks great apart from the text not being left aligned with the specified padding etc. My understanding was that this is part of the ticket as seen in the acceptance criteria.

Lydia_Pintscher closed this task as Resolved.Jul 31 2019, 10:24 AM
Lydia_Pintscher claimed this task.
Lydia_Pintscher moved this task from To do to Done on the Wikidata-Bridge-Sprint-3 board.